

/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/


#include "base_object.h"
#include "stdincl.h"


using namespace std;


/**
   \brief standard constructor
*/
BaseObject::BaseObject () 
{
  this->className = NULL;
  this->finalized = false;
}


/**
   \brief standard deconstructor
*/
BaseObject::~BaseObject () 
{
  //  delete []this->className;
}

void BaseObject::setClassID(int id, const char* className)
{
  this->id = id;
  this->className = className;
}


void BaseObject::setClassID (int id)
{
  this->id = id;
}

void BaseObject::setClassName(const char* className)
{
  this->className = className;
}


bool BaseObject::isA (char* className)
{
  if( this->className == className)
    return false;
  return true;
}

/*
bool BaseObject::isFinalized()
{
  
}
*/

void BaseObject::finalize()
{
  this->finalized = true;
}
